-module(relation2t).
-export([caller/1,double/1]).
-export([doub/1]).
-export([square/1]).
-export([inc/1]).

caller(X) ->
  begin
   inc(double(X)),
   square(inc(X))
  end.

double(D) -> 
   D * 2.

doub(X) -> double(X).

square(X) -> X * X.

inc(X) -> X + 1.
